#!/bin/bash

# Pour synchroniser facilement les données gpg entre mes deux machines

color='[0;31m'
endcolor='[0m'

if [ "$1" = "--local" ]
then
    localmode=".local"
fi

echo "${color}ici → cabal${endcolor}"
gpg --export-options export-local-sigs --export-options export-attributes --export | ssh cabal${localmode} gpg --import

echo "${color}cabal → ici${endcolor}"
ssh cabal${localmode} gpg --export-options export-local-sigs --export-options export-attributes --export | gpg --import

echo "${color}copie de la base de confiance de cabal vers ici${endcolor}"
scp cabal${localmode}:~/.gnupg/trustdb.gpg ~/.gnupg/
